Linux polon 4.19.0-27-amd64 #1 SMP Debian 4.19.316-1 (2024-06-25) x86_64
Apache/2.4.59 (Debian)
: 10.2.73.233 | : 216.73.216.105
Cant Read [ /etc/named.conf ]
5.6.40-64+0~20230107.71+debian10~1.gbp673146
ifk
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
sbin /
[ HOME SHELL ]
Name
Size
Permission
Action
a2disconf
15.89
KB
-rwxr-xr-x
a2dismod
15.89
KB
-rwxr-xr-x
a2dissite
15.89
KB
-rwxr-xr-x
a2enconf
15.89
KB
-rwxr-xr-x
a2enmod
15.89
KB
-rwxr-xr-x
a2ensite
15.89
KB
-rwxr-xr-x
a2query
9.64
KB
-rwxr-xr-x
aa-remove-unknown
3
KB
-rwxr-xr-x
aa-status
8.63
KB
-rwxr-xr-x
aa-teardown
139
B
-rwxr-xr-x
accessdb
14.23
KB
-rwxr-xr-x
acpid
54.71
KB
-rwxr-xr-x
add-shell
860
B
-rwxr-xr-x
addgnupghome
3
KB
-rwxr-xr-x
addgroup
33.71
KB
-rwxr-xr-x
adduser
33.71
KB
-rwxr-xr-x
apache2
707.95
KB
-rwxr-xr-x
apache2ctl
7.06
KB
-rwxr-xr-x
apachectl
7.06
KB
-rwxr-xr-x
apparmor_status
8.63
KB
-rwxr-xr-x
applygnupgdefaults
2.17
KB
-rwxr-xr-x
arp
65.93
KB
-rwxr-xr-x
arpd
75.13
KB
-rwxr-xr-x
arptables
217.42
KB
-rwxr-xr-x
arptables-nft
217.42
KB
-rwxr-xr-x
arptables-nft-restore
217.42
KB
-rwxr-xr-x
arptables-nft-save
217.42
KB
-rwxr-xr-x
arptables-restore
217.42
KB
-rwxr-xr-x
arptables-save
217.42
KB
-rwxr-xr-x
aspell-autobuildhash
13.22
KB
-rwxr-xr-x
atd
30.01
KB
-rwxr-xr-x
biosdecode
22.9
KB
-rwxr-xr-x
blkmapd
30.53
KB
-rwxr-xr-x
check_forensic
952
B
-rwxr-xr-x
chgpasswd
57.83
KB
-rwxr-xr-x
chmem
58.08
KB
-rwxr-xr-x
chpasswd
53.86
KB
-rwxr-xr-x
chroot
42.75
KB
-rwxr-xr-x
cpgr
55.96
KB
-rwxr-xr-x
cppw
55.96
KB
-rwxr-xr-x
cron
54.48
KB
-rwxr-xr-x
dbconfig-generate-include
12.37
KB
-rwxr-xr-x
dbconfig-load-include
5.57
KB
-rwxr-xr-x
delgroup
15.41
KB
-rwxr-xr-x
deluser
15.41
KB
-rwxr-xr-x
dkms
138.51
KB
-rwxr-xr-x
dmidecode
114.7
KB
-rwxr-xr-x
dpkg-preconfigure
3.58
KB
-rwxr-xr-x
dpkg-reconfigure
4.34
KB
-rwxr-xr-x
e2freefrag
14.07
KB
-rwxr-xr-x
e4crypt
26.07
KB
-rwxr-xr-x
e4defrag
33.99
KB
-rwxr-xr-x
ebtables
217.42
KB
-rwxr-xr-x
ebtables-nft
217.42
KB
-rwxr-xr-x
ebtables-nft-restore
217.42
KB
-rwxr-xr-x
ebtables-nft-save
217.42
KB
-rwxr-xr-x
ebtables-restore
217.42
KB
-rwxr-xr-x
ebtables-save
217.42
KB
-rwxr-xr-x
exicyclog
11.03
KB
-rwxr-xr-x
exigrep
10.25
KB
-rwxr-xr-x
exim
1.13
MB
-rwsr-xr-x
exim4
1.13
MB
-rwsr-xr-x
exim_checkaccess
4.74
KB
-rwxr-xr-x
exim_convert4r4
72.76
KB
-rwxr-xr-x
exim_dbmbuild
18
KB
-rwxr-xr-x
exim_dumpdb
22.01
KB
-rwxr-xr-x
exim_fixdb
26.01
KB
-rwxr-xr-x
exim_lock
17.99
KB
-rwxr-xr-x
exim_tidydb
22.01
KB
-rwxr-xr-x
eximstats
148.03
KB
-rwxr-xr-x
exinext
8.08
KB
-rwxr-xr-x
exipick
58.93
KB
-rwxr-xr-x
exiqgrep
5.1
KB
-rwxr-xr-x
exiqsumm
5.04
KB
-rwxr-xr-x
exiwhat
4.34
KB
-rwxr-xr-x
fdformat
34.08
KB
-rwxr-xr-x
filefrag
18.02
KB
-rwxr-xr-x
firewalld
6.86
KB
-rwxr-xr-x
genl
79.05
KB
-rwxr-xr-x
groupadd
65.89
KB
-rwxr-xr-x
groupdel
57.68
KB
-rwxr-xr-x
groupmems
57.87
KB
-rwxr-xr-x
groupmod
72.18
KB
-rwxr-xr-x
grpck
57.8
KB
-rwxr-xr-x
grpconv
53.68
KB
-rwxr-xr-x
grpunconv
53.68
KB
-rwxr-xr-x
grub-bios-setup
926.37
KB
-rwxr-xr-x
grub-install
1.13
MB
-rwxr-xr-x
grub-macbless
914.02
KB
-rwxr-xr-x
grub-mkconfig
8.42
KB
-rwxr-xr-x
grub-mkdevicemap
212.49
KB
-rwxr-xr-x
grub-probe
926.34
KB
-rwxr-xr-x
grub-reboot
4.73
KB
-rwxr-xr-x
grub-set-default
3.47
KB
-rwxr-xr-x
httxt2dbm
13.99
KB
-rwxr-xr-x
iconvconfig
30.66
KB
-rwxr-xr-x
iftop
66.65
KB
-rwxr-xr-x
invoke-rc.d
16.64
KB
-rwxr-xr-x
ip6tables
100.68
KB
-rwxr-xr-x
ip6tables-apply
6.89
KB
-rwxr-xr-x
ip6tables-legacy
100.68
KB
-rwxr-xr-x
ip6tables-legacy-restore
100.68
KB
-rwxr-xr-x
ip6tables-legacy-save
100.68
KB
-rwxr-xr-x
ip6tables-nft
217.42
KB
-rwxr-xr-x
ip6tables-nft-restore
217.42
KB
-rwxr-xr-x
ip6tables-nft-save
217.42
KB
-rwxr-xr-x
ip6tables-restore
100.68
KB
-rwxr-xr-x
ip6tables-restore-translate
217.42
KB
-rwxr-xr-x
ip6tables-save
100.68
KB
-rwxr-xr-x
ip6tables-translate
217.42
KB
-rwxr-xr-x
iptables
100.68
KB
-rwxr-xr-x
iptables-apply
6.89
KB
-rwxr-xr-x
iptables-legacy
100.68
KB
-rwxr-xr-x
iptables-legacy-restore
100.68
KB
-rwxr-xr-x
iptables-legacy-save
100.68
KB
-rwxr-xr-x
iptables-nft
217.42
KB
-rwxr-xr-x
iptables-nft-restore
217.42
KB
-rwxr-xr-x
iptables-nft-save
217.42
KB
-rwxr-xr-x
iptables-restore
100.68
KB
-rwxr-xr-x
iptables-restore-translate
217.42
KB
-rwxr-xr-x
iptables-save
100.68
KB
-rwxr-xr-x
iptables-translate
217.42
KB
-rwxr-xr-x
iptaccount
10.3
KB
-rwxr-xr-x
iptraf-ng
160.01
KB
-rwxr-xr-x
irqbalance
63.41
KB
-rwxr-xr-x
irqbalance-ui
34.67
KB
-rwxr-xr-x
ispell-autobuildhash
15.39
KB
-rwxr-xr-x
ldattach
30.08
KB
-rwxr-xr-x
locale-gen
1.5
KB
-rwxr-xr-x
logrotate
82.09
KB
-rwxr-xr-x
make-ssl-cert
3.78
KB
-rwxr-xr-x
mkinitramfs
11.13
KB
-rwxr-xr-x
mklost+found
13.99
KB
-rwxr-xr-x
mountstats
35.03
KB
-rwxr-xr-x
mysqld
19.99
MB
-rwxr-xr-x
netfilter-persistent
1.04
KB
-rwxr-xr-x
nethogs
58.2
KB
-rwxr-xr-x
newusers
86.39
KB
-rwxr-xr-x
nfacct
21.99
KB
-rwxr-xr-x
nfnl_osf
17.99
KB
-rwxr-xr-x
nfsidmap
22.59
KB
-rwxr-xr-x
nfsiostat
23.35
KB
-rwxr-xr-x
nfsstat
33.26
KB
-rwxr-xr-x
nft
18.07
KB
-rwxr-xr-x
nologin
13.99
KB
-rwxr-xr-x
ownership
14.13
KB
-rwxr-xr-x
pam-auth-update
19.78
KB
-rwxr-xr-x
pam_getenv
2.82
KB
-rwxr-xr-x
pam_timestamp_check
14.3
KB
-rwxr-xr-x
paperconfig
4.07
KB
-rwxr-xr-x
php-fpm5.6
4.35
MB
-rwxr-xr-x
php-fpm7.0
4.28
MB
-rwxr-xr-x
php-fpm7.2
4.76
MB
-rwxr-xr-x
php-fpm7.3
4.56
MB
-rwxr-xr-x
php-fpm7.4
4.52
MB
-rwxr-xr-x
php-fpm8.2
5.34
MB
-rwxr-xr-x
php5dismod
6.21
KB
-rwxr-xr-x
php5enmod
6.21
KB
-rwxr-xr-x
php5query
5.05
KB
-rwxr-xr-x
phpdismod
7.11
KB
-rwxr-xr-x
phpenmod
7.11
KB
-rwxr-xr-x
phpquery
6.24
KB
-rwxr-xr-x
pma-configure
299
B
-rwxr-xr-x
pma-secure
157
B
-rwxr-xr-x
pwck
53.8
KB
-rwxr-xr-x
pwconv
49.7
KB
-rwxr-xr-x
pwunconv
49.68
KB
-rwxr-xr-x
readprofile
22.11
KB
-rwxr-xr-x
remove-default-ispell
2.86
KB
-rwxr-xr-x
remove-default-wordlist
2.86
KB
-rwxr-xr-x
remove-shell
904
B
-rwxr-xr-x
rmail
1.13
MB
-rwsr-xr-x
rmt
58.96
KB
-rwxr-xr-x
rmt-tar
58.96
KB
-rwxr-xr-x
rpc.gssd
75.78
KB
-rwxr-xr-x
rpc.idmapd
39.16
KB
-rwxr-xr-x
rpc.svcgssd
34.95
KB
-rwxr-xr-x
rpcdebug
18.33
KB
-rwxr-xr-x
rpcinfo
34.16
KB
-rwxr-xr-x
rsmtp
1.13
MB
-rwsr-xr-x
rsyslogd
685.64
KB
-rwxr-xr-x
rtcwake
46.08
KB
-rwxr-xr-x
runq
1.13
MB
-rwsr-xr-x
rvnamed-ng
14.34
KB
-rwxr-xr-x
saned
54.28
KB
-rwxr-xr-x
select-default-ispell
3.23
KB
-rwxr-xr-x
select-default-wordlist
3.21
KB
-rwxr-xr-x
sendmail
1.13
MB
-rwsr-xr-x
service
9.05
KB
-rwxr-xr-x
setvesablank
14.3
KB
-rwxr-xr-x
split-logfile
2.36
KB
-rwxr-xr-x
sshd
792.41
KB
-rwxr-xr-x
start-statd
838
B
-rwxr-xr-x
syslog2eximlog
1.41
KB
-rwxr-xr-x
tarcat
936
B
-rwxr-xr-x
tcptraceroute
1.56
KB
-rwxr-xr-x
tcptraceroute.db
1.56
KB
-rwxr-xr-x
traceroute
67.16
KB
-rwxr-xr-x
tzconfig
106
B
-rwxr-xr-x
update-ca-certificates
5.18
KB
-rwxr-xr-x
update-default-aspell
1
KB
-rwxr-xr-x
update-default-ispell
9.68
KB
-rwxr-xr-x
update-default-wordlist
7.5
KB
-rwxr-xr-x
update-dictcommon-aspell
1
KB
-rwxr-xr-x
update-dictcommon-hunspell
782
B
-rwxr-xr-x
update-exim4.conf
14.72
KB
-rwxr-xr-x
update-exim4.conf.template
3.33
KB
-rwxr-xr-x
update-exim4defaults
8.2
KB
-rwxr-xr-x
update-fmtutil
9.58
KB
-rwxr-xr-x
update-grub
64
B
-rwxr-xr-x
update-grub2
64
B
-rwxr-xr-x
update-gsfontmap
470
B
-rwxr-xr-x
update-icon-caches
596
B
-rwxr-xr-x
update-inetd
5.83
KB
-rwxr-xr-x
update-info-dir
1.66
KB
-rwxr-xr-x
update-initramfs
7.16
KB
-rwxr-xr-x
update-java-alternatives
3.09
KB
-rwxr-xr-x
update-language
9.37
KB
-rwxr-xr-x
update-language-dat
9.37
KB
-rwxr-xr-x
update-language-def
9.37
KB
-rwxr-xr-x
update-language-lua
9.37
KB
-rwxr-xr-x
update-locale
2.99
KB
-rwxr-xr-x
update-mime
8.84
KB
-rwxr-xr-x
update-passwd
34.41
KB
-rwxr-xr-x
update-pciids
2.84
KB
-rwxr-xr-x
update-python-modules
19.33
KB
-rwxr-xr-x
update-rc.d
16.76
KB
-rwxr-xr-x
update-texmf
2.6
KB
-rwxr-xr-x
update-texmf-config
1.5
KB
-rwxr-xr-x
update-tl-stacked-conffile
9.58
KB
-rwxr-xr-x
update-updmap
9.58
KB
-rwxr-xr-x
upgrade-from-grub-legacy
1.56
KB
-rwxr-xr-x
useradd
127.25
KB
-rwxr-xr-x
userdel
90.45
KB
-rwxr-xr-x
usermod
123.06
KB
-rwxr-xr-x
validlocale
1.73
KB
-rwxr-xr-x
vcstime
14.18
KB
-rwxr-xr-x
vigr
60.18
KB
-rwxr-xr-x
vipw
60.18
KB
-rwxr-xr-x
visudo
205.79
KB
-rwxr-xr-x
vpddecode
14.27
KB
-rwxr-xr-x
xtables-legacy-multi
100.68
KB
-rwxr-xr-x
xtables-monitor
217.42
KB
-rwxr-xr-x
xtables-nft-multi
217.42
KB
-rwxr-xr-x
zic
54.55
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : update-fmtutil
#!/bin/bash -e # # update-tl-stacked-conffile --- Generate stacked conffiles of TL for all trees # Copyright (C) 2012-2015 Norbert Preining # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; version 2 dated June, 1991. # # This program is distributed in the hope that it will be useful, but # WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU # General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program; see the file COPYING. If not, write to the # Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, # Boston, MA 02110-1301 USA. version="1.0" progname=$(basename "$0") if [ "$progname" = "update-updmap" ] ; then SNIPPET_BASE=/var/lib/tex-common/fontmap-cfg SNIPPET_OLD_BASE=/etc/texmf/updmap.d NAME=updmap EXT=.cfg elif [ "$progname" = "update-fmtutil" ] ; then SNIPPET_BASE=/var/lib/tex-common/fmtutil-cnf SNIPPET_OLD_BASE=/etc/texmf/fmt.d NAME=fmtutil EXT=.cnf else echo "Please call me either as update-updmap or update-fmtutil!" exit 1 fi # this needs to be kept in sync with dh_installtex COMPONENTS="texmf texlive" usage="Usage: $progname [OPTION...] Generate $NAME configuration files. Options: --checks perform sanity checks on the generated config file --quiet don't write anything to the standard output during normal operation --help display this help message and exit --version output version information and exit" # This ensures that if $tempfile is in the *environment*, we won't erase # the file it could point to in case the script is killed by a signal before # it has had a chance to even create its temporary file. tempfile="" cleanup() { rc=$? [ -n "$tempfile" ] && rm -f "$tempfile" exit $rc } perform_contents_check () { if [ $NAME = fmtutil ] ; then # no checks at the moment return 0 elif [ $NAME = updmap ] ; then fn="$1" grep -i '^\W*\(Mixed\|Kanji\)\?Map' "$fn" | while read foo map ; do # now check the existence of the hyphenation file if [ -z $(kpsewhich -format=map $map) ] ; then cat >&2 <<EOF The config file $fn references a file not in the kpathsea database: $map Calling updmap(-sys) will break! This may be ok, but it could also be a typing error. EOF fi done fi } #################################################### # # STUFF THAT IS ONLY HERE TO KEEP COMPATIBILITY WITH # PACKAGES OUTSIDE DEBIAN THAT SHIP OLD updmap.d # FILES AND WE CANNOT BREAK AGAINST THEM # #################################################### # include_file <file path> include_file() { file="$1" printf "\n# ## From file: $file\n" cat "$file" echo "# End of file: $file" } # do_not_include_file <file path> do_not_include_file() { file="$1" cat <<EOF # # $file not included because either it wasn't # up-to-date (conffile update pending) or the package shipping it was # apparently removed (no corresponding .list file in # $SNIPPET_BASE/). # EOF } handle_file() { file="$1" DebPkgProvidedMaps_magic_comment="^[#%] -_- DebPkgProvidedMaps -_-" # Does the file have a dpkg-new sister? if [ -f "${file}.dpkg-new" ]; then do_not_include_file "$file" else # Does the file have the magic comment? if grep -E "$DebPkgProvidedMaps_magic_comment" "$file" >/dev/null; then # Is the package "$file" comes from still installed? if [ -d "$SNIPPET_BASE" ] \ && find "$SNIPPET_BASE" -type f -name '*.list' -print0 \ | xargs -0r cat \ | grep -E "^$(basename "$file" $EXT)\$" >/dev/null; then include_file "$file" else do_not_include_file "$file" fi else include_file "$file" fi fi } ####################################################### # # end of backward compatibility stuff # ####################################################### # The list of signals to trap is taken from teTeX 3's updmap script, but they # have been converted to signal names because we can only rely on these on # POSIX systems. trap 'cleanup' HUP INT QUIT BUS PIPE TERM # -v (verbose) is here for backward compatibility only. TEMP=$(getopt -o +vc:o: --longoptions \ check,quiet,help,version \ -n "$progname" -- "$@") case $? in 0) : ;; 1) echo "$usage" >&2; exit 1 ;; *) exit 1 ;; esac # Don't remove the quotes around $TEMP! eval set -- "$TEMP" # **************************************************************************** # * Defaults * # **************************************************************************** quiet=0 dochecks=0 # **************************************************************************** # * Options handling * # **************************************************************************** while true; do case "$1" in --quiet) quiet=1; shift ;; --check) dochecks=1; shift ;; -v) printf "\ ${progname}'s -v option is deprecated. The default mode of operation will be verbose as soon as enough packages use the --quiet option. Please update your scripts accordingly.\n\n" >&2; quiet=0; shift ;; --help) echo "$usage"; exit 0 ;; --version) echo "$progname $version"; exit 0 ;; --) shift; break ;; *) echo "$progname: unexpected option '$1'; please report a bug." >&2 exit 1 ;; esac done # Non-option arguments are not allowed. if [ $# -ne 0 ]; then echo "$usage" >&2 exit 1 fi # **************************************************************************** # * Actual work * # **************************************************************************** updated_files="" for tree in $COMPONENTS ; do if [ $tree = "texmf" ] ; then # output_file=/usr/share/texmf/web2c/updmap.cfg if [ $NAME = "updmap" ] ; then output_file=/var/lib/texmf/updmap.cfg-DEBIAN else output_file=/var/lib/texmf/fmtutil.cnf-DEBIAN fi elif [ $tree = "texlive" ] ; then # output_file=/usr/share/texlive/texmf-dist/web2c/updmap.cfg if [ $NAME = "updmap" ] ; then output_file=/var/lib/texmf/updmap.cfg-TEXLIVEDIST else output_file=/var/lib/texmf/fmtutil.cnf-TEXLIVEDIST fi else echo "$progname: that cannot happen!" >&2 exit 1 fi # create output dir in any case ... destdir=$(dirname $output_file) mkdir -p "$destdir" cd "$destdir" # if [ $quiet = 0 ]; then if [ -f "$output_file" ]; then printf "Regenerating '${output_file}'... " else printf "Generating '${output_file}'... " fi fi # Creating the temporary file in the output directory gives it # automatically the default permissions appropriate for that # directory, according to the user's umask. When it is complete, # we'll be able to rename it atomically to the desired output # file, which will therefore have the right permissions. tempfile="update-tl-conffile.$tree.new" if ! printf "" > "$tempfile" ; then echo "$progname: cannot write to the temporary file '$tempfile'" >&2 exit 1 fi printf "\ ### This file was automatically generated by ${progname}. # # Any local change will be overwritten. Please see the documentation # of updmap on how to override things from here. # ###\n" >> "$tempfile" # From now on, $tempfile must be deleted on exit; therefore, cleanup() should # be used. if [ -d "$SNIPPET_BASE/$tree" ] ; then find "$SNIPPET_BASE/$tree" -maxdepth 1 -type f -name '*'$EXT \ -exec cat '{}' \; >> "$tempfile" fi if [ $tree = "texmf" ] ; then # # also include snippets in /etc/texmf/updmap.d but give # big fat warnings that this might create problems!!! if [ -d $SNIPPET_OLD_BASE ] ; then old_files=$(find $SNIPPET_OLD_BASE -maxdepth 1 -type f -name '*'$EXT | LC_COLLATE=C sort) if [ -n "$old_files" ] ; then cat >&2 <<EOF Warning: Old configuration style found in $SNIPPET_OLD_BASE Warning: For now these files have been included, Warning: but expect inconsistencies. Warning: These packages should be rebuild with tex-common. Warning: Please see /usr/share/doc/tex-common/NEWS.Debian.gz EOF for file in $old_files ; do echo "Warning: found file: $file" >&2 done echo "" >&2 fi for file in $old_files ; do handle_file $file >> "$tempfile" done fi fi # This is atomic. mv "$tempfile" "$output_file" updated_files="$updated_files\t$output_file\n"; # Check wether the generated file is decent, if all necessary files are # installed, etc. if [ "$dochecks" = 1 ] ; then perform_contents_check "$output_file" fi if [ $quiet = 0 ]; then printf "done.\n" fi done if [ $quiet = 0 ] && [ -n "$updated_files" ] ; then echo "$progname has updated the following file(s):" printf "$updated_files" echo "If you want to activate the changes in the above file(s)," echo "you should run ${NAME}-sys or $NAME." fi # vim:set expandtab tabstop=4 autoindent: #
Close